
/**
 * @param option
 * @description 初始化网页头信息
 */
function initializeWebHeader(option){
	var defaults = {
		title:'小嘀管家',//'DSM-XDHouseKeeper',
		description:'德施曼小嘀管家页面',
		keywords:'智能锁,指纹锁,德施曼',
	};
	var options = $.extend({},defaults,option);
	$('title').html(options.title);
	$('meta[name="description"]').attr('content',options.description);
	$('meta[http-equiv="keywords"]').attr('content',options.keywords);
}

/**
 * @param data 返回的response数据
 * @param options 处理数据的选项，例如{'getCurrentLockWellInfo':{success:function(){},fail:function(){}}}
 * @description 根据返回的response简便处理数据
 */
function commonResponse(response,options){
	if(!response){
		toast('未获取到数据.');
	}else{
		if(options){
			try{				
			    var data = $.parseJSON(response); //将json数据转换成对象
				var status = data.status; //返回结果
				var msg= data.msg;
				var methodName = data.methodName; //方法名
				var methodPerformed = options[methodName];//反馈执行结果
				if(!data.status && data.status!=0){
					toast('查询数据出错.');
					return;
				}else if(data.status==1){//操作成功，返回数据结果	
					if(methodPerformed){
						var actionPerformed = methodPerformed.success;
						if(!actionPerformed){
							return;
						}else{
							if(typeof(actionPerformed) == 'string'){
								if(msg){
									toast(msg);
								}else{
									toast(actionPerformed);
								}
							}else if(typeof(actionPerformed) == 'function'){
								actionPerformed(data.data);//将反馈数据传给自定义方法
							}
						}
					}
				}else{//操作失败，自定义错误操作
					if(methodPerformed){
						var actionPerformed = methodPerformed.fail;
						if(!actionPerformed){
							return;
						}else{
							if(typeof(actionPerformed) == 'string'){
								if(msg){
									toast((data.data && data.data.msg)?data.data.msg:msg);
								}else{
									toast(actionPerformed);
								}
							}else if(typeof(actionPerformed) == 'function'){
								toast(msg);
								actionPerformed(data.data);//将反馈数据传给自定义方法
							}
						}
					}
				}
			}catch(e){
				toast(e.message+'-');
			}
		}else{
			console.log('无需操作');
		}
	}
}


/**
 * @param option
 * @description 封装ajax提交数据
 */
function postAjax(option) {
	var defaultOption = {
		url : "",
		type : "POST",
		data : null,
		callback : null,
		datatype : "json",
		async : true,
		contentType : "",
		errorCallback : false
	};
	option = $.extend(defaultOption, option);

	if (option.contentType == "json") {
		option.contentType = "application/json; charset=utf-8";
	} else {
		option.contentType = "application/x-www-form-urlencoded;charset=UTF-8";
	}

	if (option.url == "") {
		toast('url不能为空!');
		return;
	}
	$.ajax({
		type : option.type,
		data : option.data,
		async : option.async,
		dataType : option.datatype,
		contentType : option.contentType,
		url : option.url,
		success : function(result) {
			// 成功返回后的操作
			if (option.callback != null) {
				option.callback(result);
			}
		},
		error : function(jqXHR, textStatus, errorThrown) {
			// 成功返回后的操作
			if (option.callback != null) {
				option.callback(null);
			}
		},
		complete : function() {
		}
	});
}
/**
 * @description 判断字符串是否为空
 * @param data
 * @returns {Boolean}
 */
function isBlank(data){
	return (!data || data == 'null' || $.trim(data).length ==0);
}